/// <reference types="node" />
import * as fs from 'fs';
import { FileSystemAdapter } from './adapters/fs';
import { FilterFunction, Options, PreFilterFunction, SortFunction } from './managers/options';
import { AsyncCallback } from './providers/scandir';
import { DirEntry } from './types/entry';
/**
 * Asynchronous API.
 */
export declare function scandir(path: fs.PathLike, opts?: Options): Promise<DirEntry[]>;
/**
 * Callback API.
 */
export declare function scandirCallback(path: fs.PathLike, callback: AsyncCallback): void;
export declare function scandirCallback(path: fs.PathLike, opts: Options, callback: AsyncCallback): void;
/**
 * Synchronous API.
 */
export declare function scandirSync(path: fs.PathLike, opts?: Options): DirEntry[];
export declare type DirEntry = DirEntry;
export declare type Options = Options;
export declare type ScandirAsyncCallback = AsyncCallback;
export declare type FileSystemAdapter = FileSystemAdapter;
export declare type PreFilterFunction = PreFilterFunction;
export declare type FilterFunction = FilterFunction;
export declare type SortFunction = SortFunction;
//# sourceMappingURL=index.d.ts.map